![](docs/images/logo.png)

# Roc: real-time audio streaming over the network

Roc is a toolkit for real-time audio streaming over the network.

You can read about the project here:

* [Overview](https://roc-project.github.io/roc/docs/about_project/overview.html)
* [Features](https://roc-project.github.io/roc/docs/about_project/features.html)
* [Usage](https://roc-project.github.io/roc/docs/about_project/usage.html)

Summary
-------

The toolkit consists of:

* a C library;
* a set of command-line tools;
* a set of PulseAudio modules.

Key features:

* real-time streaming with guaranteed latency;
* restoring lost packets using Forward Erasure Correction codes;
* converting between the sender and receiver clock domains;
* CD-quality audio;
* multiple profiles for different CPU and latency requirements;
* portability;
* relying on open, standard protocols.

Documentation
-------------

Documentation for the latest release is available [here](https://roc-project.github.io/roc/docs/).

Additionally, there is also Doxygen-generated documentation for [internal modules](https://roc-project.github.io/roc/doxygen/).

Build status
------------

See details on continuous integration [here](https://roc-project.github.io/roc/docs/development/continuous_integration.html).

Branch    | Status
--------- | ------
`master`  | [![](https://travis-ci.org/roc-project/roc.svg?branch=master)](https://travis-ci.org/roc-project/roc)
`develop` | [![](https://travis-ci.org/roc-project/roc.svg?branch=develop)](https://travis-ci.org/roc-project/roc)

Versioning
----------

See details here:

* [GitHub releases](https://github.com/roc-project/roc/releases)
* [Changelog](https://roc-project.github.io/roc/docs/development/changelog.html)
* [Version control](https://roc-project.github.io/roc/docs/development/version_control.html)

Platforms
---------

See details [here](https://roc-project.github.io/roc/docs/portability.html).

If you want to run Roc on an embedded system or a single-board computer, see:

* [Cross-compiling](https://roc-project.github.io/roc/docs/portability/cross_compiling.html)
* [Tested boards](https://roc-project.github.io/roc/docs/portability/tested_boards.html)

Plans
-----

See here:

* [Project board](https://github.com/roc-project/roc/projects/2)
* [Roadmap](https://roc-project.github.io/roc/docs/development/roadmap.html)

Community
---------

We have a mailing list and an IRC channel. See details [here](https://roc-project.github.io/roc/docs/about_project/contacts.html).

Contributing
------------

Contributions in any form are always welcome! See [contribution guidelines](https://roc-project.github.io/roc/docs/development/contribution_guidelines.html).

Tasks needing help are [listed here](https://github.com/roc-project/roc/labels/help%20wanted).

Licensing
---------

See details on licenses [here](https://roc-project.github.io/roc/docs/about_project/licensing.html).

Authors
-------

See a list of maintainers and contributors [here](https://roc-project.github.io/roc/docs/about_project/authors.html).
